package com.example.spinnerwithactivity;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.Spinner;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    ArrayList<String> choice=new ArrayList<String>();
    LinearLayout mainLayout=null;
    Spinner spinner=null;
    boolean first=true;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        mainLayout=new LinearLayout(this);
        choice.add("activity1");
        choice.add("activity2");
        choice.add("activity3");
        spinner=new Spinner(this);
        mainLayout.addView(spinner);
        spinner.setAdapter(new ArrayAdapter<String>(this,android.R.layout.simple_spinner_item,choice));
        spinner.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> adapterView, View view, int i, long l) {
                if(first)
                {
                    first=false;
                    return ;
                }
                Intent I=null;
                if(i==0) I=new Intent(MainActivity.this,activity1.class);
                if(i==1) I=new Intent(MainActivity.this,activity2.class);
                if(i==2) I=new Intent(MainActivity.this,activity3.class);
                startActivity(I);
             }

            @Override
            public void onNothingSelected(AdapterView<?> adapterView) {

            }
        });
        setContentView(mainLayout);
    }
}
